<template>
  <div class="mt-date-range">
    {{ startFormatted }}
    <div class="union">
      <div />
    </div>
    {{ endFormatted }}
  </div>
</template>

<script>
import { DateTime } from 'luxon';

export default {
  name: 'MtDateRangeShort',
  props: {
    start: {
      type: Date,
      default: () => new Date(),
    },
    end: {
      type: Date,
      default: () => new Date(),
    },
  },
  computed: {
    startFormatted() {
      return DateTime.fromJSDate(this.start)
        .setLocale('fr')
        .toFormat('dd LLL');
    },
    endFormatted() {
      return DateTime.fromJSDate(this.end)
        .setLocale('fr')
        .toFormat('dd LLL');
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.union {
  display: inline-block;
  width: 1.25em;
  vertical-align: middle;
  margin: 0 5px;
  div {
    border-top: 2px solid $text;
  }
}
</style>
